package ilp;

import java.io.PrintStream;
import LBJ2.classify.DiscreteFeature;
import LBJ2.classify.FeatureVector;
import LBJ2.classify.ScoreSet;
import LBJ2.learn.Learner;

public abstract class DumbLearner extends Learner
{
  public DumbLearner() { this(""); }
  public DumbLearner(String n) { super(n); }

  public void learn(int[] exampleFeatures, double[] exampleValues,
                    int[] exampleLabels, double[] labelValues) { }
  public FeatureVector classify(int[] exampleFeatures, double[] exampleValues)
  { return null; }
  public ScoreSet scores(int[] f, double[] v) { return scores(null); }

  public FeatureVector classify(Object example) {
    String prediction = scores(example).highScoreValue();
    return
      new FeatureVector(
          new DiscreteFeature(containingPackage, name, prediction,
                              valueIndexOf(prediction),
                              (short) allowableValues().length));
  }

  public void write(PrintStream out) { } 

  public Learner emptyClone() { return (Learner) clone(); }
  public int hashCode() { return name.hashCode(); }
  public boolean equals(Object o) { return getClass().equals(o.getClass()); }
}

